---
title: "List news sources and current settings"
canonical_url: "https://tweetstream.io/docs/api/list-news-sources"
last_updated: 2026-11-05
---

# List news sources and current settings

GET /api/news/sources lists every news source with its name and icon, whether it is available right now, and whether it is enabled for your stream.

Canonical URL: https://tweetstream.io/docs/api/list-news-sources

## `GET /api/news/sources`

`https://api.tweetstream.io/api/news/sources`

## Authorization

| Name | Type | Description |
| --- | --- | --- |
| `Authorization` | `string`, required | Bearer authentication with your TweetStream API key: `Bearer <key>`. |

## Response fields

| Name | Type | Description |
| --- | --- | --- |
| `sources` | `object[]`, required |  |
| `sources.available` | `boolean`, required |  |
| `sources.enabled` | `boolean`, required |  |
| `sources.icon` | `string`, required |  |
| `sources.id` | `string`, required |  |
| `sources.name` | `string`, required |  |

## Responses

| Status | Description | Headers |
| --- | --- | --- |
| `200` | Success |  |
| `401` | Missing or invalid API key |  |
| `403` | The authenticated account cannot use this capability |  |
| `500` | The request could not be completed |  |

### 200

```json
{
  "sources": [
    {
      "id": "bbc-news",
      "name": "BBC News",
      "icon": "/news-sources/bbc.png",
      "available": true,
      "enabled": true
    },
    {
      "id": "dexerto",
      "name": "Dexerto",
      "icon": "/news-sources/dexerto.png",
      "available": true,
      "enabled": false
    }
  ]
}
```

### 401

```json
{
  "error": "<string>"
}
```

### 403

```json
{
  "error": "<string>"
}
```

### 500

```json
{
  "error": "<string>"
}
```

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.tweetstream.io/api/news/sources \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY"
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/news/sources", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
  },
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.get(
    "https://api.tweetstream.io/api/news/sources",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
)

print(response.status_code, response.json())
```
